<template>
  <div class="tool-bar">
    <div class="tool-btn" :class="[layerSatelliteActive ? 'tool-btn-active' : '']" @click="changeLayer">
      <i class="icon icon-satellite"></i>
      <span class="name">卫星</span>
    </div>
    <div class="tool-btn" @click="showMsgList">
      <i class="icon icon-message"></i>
      <span class="name">消息</span>
    </div>
  </div>
</template>

<script>
export default {
  name: "toolBar",
  data() {
    return {
      layerSatelliteActive: false,
      MsgListVisible: false,
    };
  },
  methods: {
    changeLayer() {
      this.layerSatelliteActive = !this.layerSatelliteActive;
      this.$emit("changeLayer", this.layerSatelliteActive);
    },
    showMsgList() {
      this.$emit("MsgListVisible", !this.MsgListVisible);
    },
  },
};
</script>

<style scoped lang="less">
.tool-bar {
  z-index: 2;
  width: 42px;
  //height: 126px;
  background: #ffffff;
  box-shadow: 0px 2px 12px 0px rgba(0, 0, 0, 0.15);
  border-radius: 6px 6px 6px 6px;
  position: absolute;
  top: 128px;
  right: 12px;
  padding: 10px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  .tool-btn {
    height: 37px;
    width: 22px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 16px;
    border-bottom: 1px solid #d8d8d8;
    .icon {
      display: block;
      height: 20px;
      width: 20px;
      &-satellite {
        background: url("~@/assets/images/mapToolbar/卫星图.png") no-repeat;
        background-size: 100% 100%;
      }
      &-message {
        background: url("~@/assets/images/mapToolbar/历史消息.png") no-repeat;
        background-size: 100% 100%;
      }
    }
    .name {
      font-size: 11px;
      font-family: PingFang SC-Regular, PingFang SC;
      font-weight: 400;
      color: #303133;
      line-height: 15px;
      white-space: nowrap;
    }
    &-active {
      .name {
        color: #0e71ff;
      }
      .icon {
        &-satellite {
          background: url("~@/assets/images/mapToolbar/卫星图激活.png") no-repeat;
          background-size: 100% 100%;
        }
      }
    }
    &:last-child {
      padding-bottom: 0;
      border-bottom: 0;
      padding-top: 15px;
    }
  }
}
</style>
